#include <iostream>
using namespace std;

int main()
{
    int n,l,k,svr=0,ivr=0,ovr=0;
    char m,s,i,o;
    s = 's';
    i = 'i';
    m = 'm';
    cin>>n;
    for(int j=0; j<n-1; j++){
        cin>>l>>k>>m;
        if(m=='S'){
            svr++;
        }
        if(m=='I'){
            ivr++;
        }
        if(m=='O'){
            ovr++;
        }
    }
 if(svr>ivr && svr>ovr){
    cout<<svr;
 }
  if(ovr>ivr && ovr>ivr){
    cout<<ovr;
 }
  if(ivr>svr && ivr>ovr){
    cout<<ivr;
 }
}